<template>
    <v-carousel>
        <template #prev="{ props }">
            <v-btn
                color="surface"
                icon="mdi-chevron-left"
                data-cy="carousel-prev-btn"
                @click="props.onClick"
            />
        </template>
        <template #next="{ props }">
            <v-btn
                color="surface"
                icon="mdi-chevron-right"
                data-cy="carousel-next-btn"
                @click="props.onClick"
            />
        </template>
        <slot></slot>
    </v-carousel>
</template>
